<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_parameter_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_parameter_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__parameter.html">Parameter APIs</a>]</small>
</h1><!-- doxytag: class="tivx_parameter_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Parameter object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__parameter__t.html#aa83a224854f48a5885db14696703dea1">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#aa83a224854f48a5885db14696703dea1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__parameter__t.html#a352a2b9989e9d4bdec5e415012bc14a7">index</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index at which this parameter is tracked in both the node references and kernel signatures.  <a href="#a352a2b9989e9d4bdec5e415012bc14a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__parameter__t.html#aa03727814d9b11212c4715ec03cb4df3">node</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to the node which this parameter is associated with.  <a href="#aa03727814d9b11212c4715ec03cb4df3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__parameter__t.html#a511b01ecc2907f14e97067220bf9216a">kernel</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to the kernel which this parameter is associated with, if retreived from vxGetKernelParameterByIndex.  <a href="#a511b01ecc2907f14e97067220bf9216a"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aa83a224854f48a5885db14696703dea1"></a><!-- doxytag: member="tivx_parameter_t::base" ref="aa83a224854f48a5885db14696703dea1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__parameter__t.html#aa83a224854f48a5885db14696703dea1">tivx_parameter_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="a352a2b9989e9d4bdec5e415012bc14a7"></a><!-- doxytag: member="tivx_parameter_t::index" ref="a352a2b9989e9d4bdec5e415012bc14a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__parameter__t.html#a352a2b9989e9d4bdec5e415012bc14a7">tivx_parameter_t::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index at which this parameter is tracked in both the node references and kernel signatures. </p>

</div>
</div>
<a class="anchor" id="aa03727814d9b11212c4715ec03cb4df3"></a><!-- doxytag: member="tivx_parameter_t::node" ref="aa03727814d9b11212c4715ec03cb4df3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> <a class="el" href="structtivx__parameter__t.html#aa03727814d9b11212c4715ec03cb4df3">tivx_parameter_t::node</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to the node which this parameter is associated with. </p>

</div>
</div>
<a class="anchor" id="a511b01ecc2907f14e97067220bf9216a"></a><!-- doxytag: member="tivx_parameter_t::kernel" ref="a511b01ecc2907f14e97067220bf9216a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> <a class="el" href="structtivx__parameter__t.html#a511b01ecc2907f14e97067220bf9216a">tivx_parameter_t::kernel</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to the kernel which this parameter is associated with, if retreived from vxGetKernelParameterByIndex. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
